
function bc_comb1=lean_bc(bc_comb)
% lean bc with the proper variable type
bc_comb1=bc_comb;
bc_comb1.pos40x=single(bc_comb1.pos40x);
bc_comb1.pos=single(bc_comb1.pos);
bc_comb1.slice=uint16(bc_comb1.slice);
bc_comb1.seq=uint8(bc_comb1.seq);
bc_comb1.qual=single(bc_comb1.qual);
bc_comb1.int=uint16(bc_comb1.int);
bc_comb1.sig=uint16(bc_comb1.sig);
bc_comb1.fov=uint16(bc_comb1.fov);
bc_comb1.batch_num=uint16(bc_comb1.batch_num);

end